Assembly Instruction Step Slide
The assembly instruction step slide resource.
/assemblyInstructionStepSlideList assembly instruction step slides
Retrieve a paginated list of assembly instruction step slides. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/assemblyInstructionStepSlide?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"stepId": "xyz789",
"sortOrder": 0,
"size": "string",
"annotations": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]/assemblyInstructionStepSlideRetrieve a assembly instruction step slide
Fetch a single assembly instruction step slide by filtering on `id`.
Query parameters
idstringMatch on the assembly instruction step slide's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/assemblyInstructionStepSlide?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"stepId": "xyz789",
"sortOrder": 0,
"size": "string",
"annotations": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/assemblyInstructionStepSlideCreate a assembly instruction step slide
Create a new assembly instruction step slide.
Body parameters
stepIdstringrequiredReferences assemblyInstructionStep.id
imagePathstringmodelUploadIdstringReferences modelUpload.id
captionstringsortOrdernumberrequiredsizestringrequiredannotationsobjectrequiredcompanyIdstringrequiredReferences company.id
curl --request POST \
--url https://rest.carbon.ms/assemblyInstructionStepSlide \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"stepId":"xyz789","sortOrder":0,"size":"string","annotations":"string","companyId":"xyz789"}'{
"id": "abc123def456",
"stepId": "xyz789",
"sortOrder": 0,
"size": "string",
"annotations": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/assemblyInstructionStepSlideUpdate a assembly instruction step slide
Update an existing assembly instruction step slide, matched on `id`.
Body parameters
stepIdstringrequiredReferences assemblyInstructionStep.id
imagePathstringmodelUploadIdstringReferences modelUpload.id
captionstringsortOrdernumberrequiredsizestringrequiredannotationsobjectrequiredcompanyIdstringrequiredReferences company.id
curl --request PATCH \
--url 'https://rest.carbon.ms/assemblyInstructionStepSlide?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"stepId":"xyz789"}'{
"id": "abc123def456",
"stepId": "xyz789",
"sortOrder": 0,
"size": "string",
"annotations": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/assemblyInstructionStepSlideDelete a assembly instruction step slide
Delete a assembly instruction step slide, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the assembly instruction step slide to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/assemblyInstructionStepSlide?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'